Bug 1573805 (CVE-2018-10548) - CVE-2018-10548 php: NULL pointer dereference due to mishandling of ldap_get_dn return value allows DoS via malicious LDAP server reply
Summary: CVE-2018-10548 php: NULL pointer dereference due to mishandling of ldap_get_d...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10548
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1563859 1573816 1578454 1578456 1578457 1578461
Blocks: 1574650 1573818
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:56 UTC by Adam Mariš
Modified: 2019-09-29 14:38 UTC (History)
10 users (show)

Fixed In Version: php 5.6.36, php 7.0.30, php 7.1.17, php 7.2.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:47:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2519 None None None 2019-08-19 08:42:30 UTC

Description Adam Mariš 2018-05-02 09:56:04 UTC
An issue was discovered in PHP before 5.6.36, 7.0.x before 7.0.30, 7.1.x before 7.1.17, and 7.2.x before 7.2.5. ext/ldap/ldap.c allows remote LDAP servers to cause a denial of service (NULL pointer dereference and application crash) because of mishandling of the ldap_get_dn return value.

Upstream bug:

https://bugs.php.net/bug.php?id=76248

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=49782c54994ecca2ef2a061063bd5a7079c43527

Comment 1 Adam Mariš 2018-05-02 10:05:31 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1573816]

Comment 11 errata-xmlrpc 2019-08-19 08:42:28 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 12 Product Security DevOps Team 2019-08-19 08:47:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10548


Note You need to log in before you can comment on or make changes to this bug.